{
  lib,
  config,
  ...
}:
let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.marleyos.programs.less;
in
{
  options.marleyos.programs.less.enable = mkEnableOption "less";

  config = mkIf cfg.enable {
    programs.less.enable = true;

    home.sessionVariables = {
      LESS = "-R";
    };

    programs.lesspipe.enable = true;
  };
}
